<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>HTMl Table and Form</title>
</head>
<body>

	<header>
		<h1>HTML Table and Forms</h1>
	</header>

	<main>
		
		<section>
			<h2>HTML Entities</h2>
			<p><em>Reserved  Characters in HTML (e.g.
			&l7; or &gt; characters than can mix up with HTML code).</em></p>
		</section>

		<table border="1">
			
			<thead>

				<tr>
			
					<th colspan="2">
						Entity
					</th>

					<th>
						Description
					</th>

				</tr>

			</thead>

			<tbody>
				
				<tr>
					<td>&lt;</td>
					<td>lt</td>
					<td>less than</td>
				</tr>
				<tr>
					<td>&gt;</td>
					<td>gt</td>
					<td>greater than</td>
				</tr>
				<tr>
					<td>&#8369</td>
					<td>#8369</td>
					<td>Peso sign</td>
				<tr>
					<td>&amp;</td>
					<td>amp</td>
					<td>ampersand</td>
				</tr>
				<tr>
					<td>&quot;</td>
					<td>quot</td>
					<td>double quotation mark</td>
				</tr>
				<tr>
					<td>&apos;</td>
					<td>apos</td>
					<td>single quotation mark (apostrophe)</td>
				</tr>				
				<tr>
					<td>&ntilde;</td>
					<td>ntilde</td>
					<td>Lower Tilde</td>
				</tr>
				<tr>
					<td>&Ntilde;</td>
					<td>Ntile</td>
					<td>Upper Tilde</td>
				</tr>
			</tbody>

			<tfoot>
				
				<tr>
					<th colspan="3">List of HTML entities</th>
				</tr>

			</tfoot>

		</table>

		<section>
			<h2>HTML Forms</h2>
			<p><em>Input Elements that make up form</em></p>

			<form action="https://google.com/">
				<label for="full_name">Full name</label> <br>
				<input type="text" name="full_name" id="full_name" placeholder="Enter name" required>

				<br>

				<label for="birth_date">Birth Date:</label>
				<input type="date" name="birth_date" required>

				<label for='age'>Age:</label><br>
				<input type="number" name="age" required>

				<label for="gender">Gender:</label><br>
				<select>
					<option value="male">Male</option>
					<option value="female">Female</option>
				</select><br>

				<label for="notes">Notes:</label><br>
				<textarea name="notes" id="notes" rows="8"></textarea><br>

				<label>New User:</label><br>

				<input type="radio" name="new_user" id="usertype1" value="yes">

				<label for='usertype1'>Yes</label><br>

				<input type="radio" name="new_user" id="usertype2" value="no">
				<label for="usertype2">No</label><br>

				<label>Role:</label><br>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label for="role1">Developer</label>

				<input type="checkbox" name="role1" id="role2" value="developer">
				<label for="role2">Student</label>

				<input type="checkbox" name="role1" id="role3" value="developer">
				<label for="role3">Manager</label><br><br>

				<button type="submit">Submit</button> <br>

				<button type="reset">Reset</button>

			</form>

		</section>

	</main>

</body>
</html>
	